"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execQuietly = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
async function execQuietly(command, options, errorMessage = '') {
    return new Promise((resolve, reject) => {
        const child = shelljs_1.default.exec(command, Object.assign(Object.assign({}, options), { silent: true, async: true }));
        let stdoutData = '';
        let stderrData = '';
        child.stdout.on('data', (data) => {
            stdoutData += data;
        });
        child.stdout.on('end', () => {
            resolve(stdoutData);
        });
        child.stderr.on('data', (data) => {
            stderrData += data;
        });
        child.stderr.on('end', () => {
            if (stderrData) {
                reject(new Error(`${stdoutData} ${errorMessage}: , ${stderrData}`));
            }
        });
    });
}
exports.execQuietly = execQuietly;
