"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveRenderedTemplate = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const handlebars_1 = tslib_1.__importDefault(require("handlebars"));
const fs_1 = tslib_1.__importDefault(require("fs"));
handlebars_1.default.registerHelper('toUpperCase', function (str) {
    return str.replace(/^\w/, (c) => c.toUpperCase());
});
handlebars_1.default.registerHelper('toLowerCase', function (str) {
    return str.replace(/^\w/, (c) => c.toLowerCase());
});
function saveRenderedTemplate(templateName, context, filePath, fileName, keepIfExists = false) {
    const combinedPath = path_1.default.join(filePath, fileName);
    if (keepIfExists && fs_1.default.existsSync(combinedPath)) {
        return;
    }
    const template = fs_1.default.readFileSync(path_1.default.join(__dirname, '../', templateName), 'utf8');
    const generateIndex = () => handlebars_1.default.compile(template)(context);
    fs_1.default.writeFileSync(path_1.default.join(filePath, fileName), generateIndex());
}
exports.saveRenderedTemplate = saveRenderedTemplate;
