"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphql_tag_1 = tslib_1.__importDefault(require("graphql-tag"));
exports.default = (graphqlString) => {
    const graphqlAST = graphql_tag_1.default `
    ${graphqlString}
  `;
    return (graphqlAST.definitions
        // @ts-ignore
        .filter((d) => ['Mutation', 'Query', 'Subscription'].indexOf(d.name.value) === -1)
        .filter((d) => ['ObjectTypeDefinition', 'ObjectTypeExtension'].indexOf(d.kind) > -1)
        .filter((d) => {
        // @ts-ignore
        return d.directives && d.directives.find((d) => d.name.value === 'key');
    })
        // @ts-ignore
        .map((f) => f.name.value));
};
