"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphql_tag_1 = tslib_1.__importDefault(require("graphql-tag"));
const validateUniqueName_1 = tslib_1.__importDefault(require("./validateUniqueName"));
exports.default = (graphqlString) => {
    const graphqlAST = graphql_tag_1.default `
    ${graphqlString}
  `;
    const unionTypeDefinitions = graphqlAST.definitions
        .filter((d) => ['UnionTypeDefinition'].indexOf(d.kind) > -1)
        // @ts-ignore
        .map((f) => f.name.value);
    validateUniqueName_1.default(unionTypeDefinitions, (name) => {
        throw new Error(`Duplicate union name found: ${name}`);
    });
    return unionTypeDefinitions;
};
