"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphql_tag_1 = tslib_1.__importDefault(require("graphql-tag"));
function default_1(graphqlString) {
    const graphqlAST = graphql_tag_1.default `
    ${graphqlString}
  `;
    // @ts-ignore
    const foundQueries = graphqlAST.definitions.find((d) => d.name.value === 'Query');
    // @ts-ignore
    const foundMutations = graphqlAST.definitions.find((d) => d.name.value === 'Mutation');
    return {
        queries: foundQueries &&
            // @ts-ignore
            foundQueries.fields.map((f) => ({
                name: f.name.value,
                hasArguments: f.arguments.length > 0,
                variables: f.arguments.map((a) => a.name.value),
            })),
        mutations: foundMutations &&
            // @ts-ignore
            foundMutations.fields.map((f) => ({
                name: f.name.value,
                hasArguments: f.arguments.length > 0,
                variables: f.arguments.map((a) => a.name.value),
            })),
        typeDefinitions: graphqlAST.definitions
            // @ts-ignore
            .filter((d) => ['Mutation', 'Query', 'Subscription'].indexOf(d.name.value) === -1)
            .filter((d) => ['ObjectTypeDefinition', 'ObjectTypeExtension'].indexOf(d.kind) > -1)
            // @ts-ignore
            .map((f) => ({ name: f.name.value })),
    };
}
exports.default = default_1;
